Retired: update skill frontmatter and presets instead
curl --request PUT \
--url https://app.factorize.sh/api/v1/skills/{skillId}/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"expectedRevision": 123,
"defaults": {
"executionConfigId": "<string>",
"requiresVm": true,
"model": "<string>",
"vmImage": "<string>",
"tags": [
"<string>"
],
"modelAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"portableIntegrationIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"githubInstallationIds": [
123
],
"linearConnectionId": "linear",
"xConnectionIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"runScopes": [],
"concurrencyLimit": 4503599627370495,
"allowedTriggerIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"executionType": "agent",
"prompt": "",
"script": "<string>"
}
}
'import requests
url = "https://app.factorize.sh/api/v1/skills/{skillId}/settings"
payload = {
"expectedRevision": 123,
"defaults": {
"executionConfigId": "<string>",
"requiresVm": True,
"model": "<string>",
"vmImage": "<string>",
"tags": ["<string>"],
"modelAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"portableIntegrationIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"githubInstallationIds": [123],
"linearConnectionId": "linear",
"xConnectionIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"runScopes": [],
"concurrencyLimit": 4503599627370495,
"allowedTriggerIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"executionType": "agent",
"prompt": "",
"script": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
expectedRevision: 123,
defaults: {
executionConfigId: '<string>',
requiresVm: true,
model: '<string>',
vmImage: '<string>',
tags: ['<string>'],
modelAccountId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
portableIntegrationIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
githubInstallationIds: [123],
linearConnectionId: 'linear',
xConnectionIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
runScopes: [],
concurrencyLimit: 4503599627370495,
allowedTriggerIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
executionType: 'agent',
prompt: '',
script: '<string>'
}
})
};
fetch('https://app.factorize.sh/api/v1/skills/{skillId}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.factorize.sh/api/v1/skills/{skillId}/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'expectedRevision' => 123,
'defaults' => [
'executionConfigId' => '<string>',
'requiresVm' => true,
'model' => '<string>',
'vmImage' => '<string>',
'tags' => [
'<string>'
],
'modelAccountId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'portableIntegrationIds' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'githubInstallationIds' => [
123
],
'linearConnectionId' => 'linear',
'xConnectionIds' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'runScopes' => [
],
'concurrencyLimit' => 4503599627370495,
'allowedTriggerIds' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'executionType' => 'agent',
'prompt' => '',
'script' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.factorize.sh/api/v1/skills/{skillId}/settings"
payload := strings.NewReader("{\n \"expectedRevision\": 123,\n \"defaults\": {\n \"executionConfigId\": \"<string>\",\n \"requiresVm\": true,\n \"model\": \"<string>\",\n \"vmImage\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"modelAccountId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"portableIntegrationIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"githubInstallationIds\": [\n 123\n ],\n \"linearConnectionId\": \"linear\",\n \"xConnectionIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"runScopes\": [],\n \"concurrencyLimit\": 4503599627370495,\n \"allowedTriggerIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"executionType\": \"agent\",\n \"prompt\": \"\",\n \"script\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://app.factorize.sh/api/v1/skills/{skillId}/settings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"expectedRevision\": 123,\n \"defaults\": {\n \"executionConfigId\": \"<string>\",\n \"requiresVm\": true,\n \"model\": \"<string>\",\n \"vmImage\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"modelAccountId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"portableIntegrationIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"githubInstallationIds\": [\n 123\n ],\n \"linearConnectionId\": \"linear\",\n \"xConnectionIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"runScopes\": [],\n \"concurrencyLimit\": 4503599627370495,\n \"allowedTriggerIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"executionType\": \"agent\",\n \"prompt\": \"\",\n \"script\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.factorize.sh/api/v1/skills/{skillId}/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"expectedRevision\": 123,\n \"defaults\": {\n \"executionConfigId\": \"<string>\",\n \"requiresVm\": true,\n \"model\": \"<string>\",\n \"vmImage\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"modelAccountId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"portableIntegrationIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"githubInstallationIds\": [\n 123\n ],\n \"linearConnectionId\": \"linear\",\n \"xConnectionIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"runScopes\": [],\n \"concurrencyLimit\": 4503599627370495,\n \"allowedTriggerIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"executionType\": \"agent\",\n \"prompt\": \"\",\n \"script\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"revision": 123,
"defaults": {
"executionType": "agent",
"prompt": "",
"executionConfigId": "<string>",
"requiresVm": true,
"model": "<string>",
"effort": "",
"vmImage": "<string>",
"tags": [
"<string>"
],
"modelAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"portableIntegrationIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"githubInstallationIds": [
123
],
"linearConnectionId": "linear",
"xConnectionIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"runScopes": [
"team:read"
],
"concurrencyLimit": 4503599627370495,
"allowedTriggerIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"script": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}skills
Retired: update skill frontmatter and presets instead
deprecated
Requires the skills:write and triggers:write scopes.
Accepts a scoped bearer token, vendor-verified run identity, or interactive owner session.
PUT
/
api
/
v1
/
skills
/
{skillId}
/
settings
Retired: update skill frontmatter and presets instead
curl --request PUT \
--url https://app.factorize.sh/api/v1/skills/{skillId}/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"expectedRevision": 123,
"defaults": {
"executionConfigId": "<string>",
"requiresVm": true,
"model": "<string>",
"vmImage": "<string>",
"tags": [
"<string>"
],
"modelAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"portableIntegrationIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"githubInstallationIds": [
123
],
"linearConnectionId": "linear",
"xConnectionIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"runScopes": [],
"concurrencyLimit": 4503599627370495,
"allowedTriggerIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"executionType": "agent",
"prompt": "",
"script": "<string>"
}
}
'import requests
url = "https://app.factorize.sh/api/v1/skills/{skillId}/settings"
payload = {
"expectedRevision": 123,
"defaults": {
"executionConfigId": "<string>",
"requiresVm": True,
"model": "<string>",
"vmImage": "<string>",
"tags": ["<string>"],
"modelAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"portableIntegrationIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"githubInstallationIds": [123],
"linearConnectionId": "linear",
"xConnectionIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"runScopes": [],
"concurrencyLimit": 4503599627370495,
"allowedTriggerIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"executionType": "agent",
"prompt": "",
"script": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
expectedRevision: 123,
defaults: {
executionConfigId: '<string>',
requiresVm: true,
model: '<string>',
vmImage: '<string>',
tags: ['<string>'],
modelAccountId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
portableIntegrationIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
githubInstallationIds: [123],
linearConnectionId: 'linear',
xConnectionIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
runScopes: [],
concurrencyLimit: 4503599627370495,
allowedTriggerIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
executionType: 'agent',
prompt: '',
script: '<string>'
}
})
};
fetch('https://app.factorize.sh/api/v1/skills/{skillId}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.factorize.sh/api/v1/skills/{skillId}/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'expectedRevision' => 123,
'defaults' => [
'executionConfigId' => '<string>',
'requiresVm' => true,
'model' => '<string>',
'vmImage' => '<string>',
'tags' => [
'<string>'
],
'modelAccountId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'portableIntegrationIds' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'githubInstallationIds' => [
123
],
'linearConnectionId' => 'linear',
'xConnectionIds' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'runScopes' => [
],
'concurrencyLimit' => 4503599627370495,
'allowedTriggerIds' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'executionType' => 'agent',
'prompt' => '',
'script' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.factorize.sh/api/v1/skills/{skillId}/settings"
payload := strings.NewReader("{\n \"expectedRevision\": 123,\n \"defaults\": {\n \"executionConfigId\": \"<string>\",\n \"requiresVm\": true,\n \"model\": \"<string>\",\n \"vmImage\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"modelAccountId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"portableIntegrationIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"githubInstallationIds\": [\n 123\n ],\n \"linearConnectionId\": \"linear\",\n \"xConnectionIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"runScopes\": [],\n \"concurrencyLimit\": 4503599627370495,\n \"allowedTriggerIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"executionType\": \"agent\",\n \"prompt\": \"\",\n \"script\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://app.factorize.sh/api/v1/skills/{skillId}/settings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"expectedRevision\": 123,\n \"defaults\": {\n \"executionConfigId\": \"<string>\",\n \"requiresVm\": true,\n \"model\": \"<string>\",\n \"vmImage\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"modelAccountId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"portableIntegrationIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"githubInstallationIds\": [\n 123\n ],\n \"linearConnectionId\": \"linear\",\n \"xConnectionIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"runScopes\": [],\n \"concurrencyLimit\": 4503599627370495,\n \"allowedTriggerIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"executionType\": \"agent\",\n \"prompt\": \"\",\n \"script\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.factorize.sh/api/v1/skills/{skillId}/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"expectedRevision\": 123,\n \"defaults\": {\n \"executionConfigId\": \"<string>\",\n \"requiresVm\": true,\n \"model\": \"<string>\",\n \"vmImage\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"modelAccountId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"portableIntegrationIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"githubInstallationIds\": [\n 123\n ],\n \"linearConnectionId\": \"linear\",\n \"xConnectionIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"runScopes\": [],\n \"concurrencyLimit\": 4503599627370495,\n \"allowedTriggerIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"executionType\": \"agent\",\n \"prompt\": \"\",\n \"script\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"revision": 123,
"defaults": {
"executionType": "agent",
"prompt": "",
"executionConfigId": "<string>",
"requiresVm": true,
"model": "<string>",
"effort": "",
"vmImage": "<string>",
"tags": [
"<string>"
],
"modelAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"portableIntegrationIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"githubInstallationIds": [
123
],
"linearConnectionId": "linear",
"xConnectionIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"runScopes": [
"team:read"
],
"concurrencyLimit": 4503599627370495,
"allowedTriggerIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"script": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
bearerAuthvendorRunIdentity & runIdentityHeadercookieAuth
Path Parameters
Body
application/json